
#include "../header.h"  
double FAw3pt5Re(double v1,double v2,double v3,double v4, double v5);
double FAw3pt5Im(double v1,double v2,double v3,double v4, double v5);

double lowerweight21 (int imag, void * p) {
      using namespace GiNaC;

   struct my_f_prm * prm=(struct my_f_prm *)p;  
   double v1f=(prm->v1f);double v2f=(prm->v2f);double v3f=(prm->v3f);double v4f=(prm->v4f);double v5f=(prm->v5f);
   double v1=-v1f; double v2=-v2f; double v3=-v3f; double v4=-v4f; double v5=-v5f;
   double zeta3=1.2020569031595942;

   double result21;
    if(imag==0){
         result21 =  3*zeta3 - rLi(3,v1/v4) + hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v1/v4) - hvs(1 - v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v1/v4) + hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v1/v4) - hvs(1 - v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v1/v4) - rLi(3,v2/v4) + hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v2/v4) - hvs(1 - v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v2/v4) + hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v2/v4) - hvs(1 - v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v2/v4) - hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v4/v1) - hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v4/v1) - hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v4/v2) - hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,v4/v2) - rLi(3,-(((1 - v1/v4 - v2/v4)*v4)/v1)) + hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-(((1 - v1/v4 - v2/v4)*v4)/v1)) + hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-(((1 - v1/v4 - v2/v4)*v4)/v1)) - rLi(3,-(((1 - v1/v4 - v2/v4)*v4)/v2)) + hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-(((1 - v1/v4 - v2/v4)*v4)/v2)) + hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-(((1 - v1/v4 - v2/v4)*v4)/v2)) - hvs((v2 - v4)/v1)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-(v1/(-v1 - v2 + v4))) - hvs((v2 - v4)/v1)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-(v1/(-v1 - v2 + v4))) - hvs((v1 - v4)/v2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-(v2/(-v1 - v2 + v4))) - hvs((v1 - v4)/v2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-(v2/(-v1 - v2 + v4))) + hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-((v1*v2)/(v4*(-v1 - v2 + v4)))) + hvs(v1)*hvs(v2)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-((v1*v2)/(v4*(-v1 - v2 + v4)))) + hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-((v4*(-v1 - v2 + v4))/(v1*v2))) - hvs(v1)*hvs(v2)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,-((v4*(-v1 - v2 + v4))/(v1*v2))) - hvs((-v1 + v4)/v2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,1 - (-v1 + v4)/v2) - hvs((-v1 + v4)/v2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,1 - (-v1 + v4)/v2) - hvs((-v2 + v4)/v1)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,1 - (-v2 + v4)/v1) - hvs((-v2 + v4)/v1)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rLi(3,1 - (-v2 + v4)/v1) + 2*Power(M_PI,2)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1)) - 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1)) + 2*Power(M_PI,2)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2)) - 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2)) + (Power(M_PI,2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(-((v4*(-v1 - v2 + v4))/(v1*v2))))/3. - 2*Power(M_PI,2)*hvs(-(v1*v2))*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(-((v4*(-v1 - v2 + v4))/(v1*v2))) + 2*Power(M_PI,2)*Power(hvs(-(v1*v2)),2)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(-((v4*(-v1 - v2 + v4))/(v1*v2))) - (hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(-((v4*(-v1 - v2 + v4))/(v1*v2))),3))/6. + (11*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog((v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (hvs(v1)*hvs(v2)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog((v4*(-v1 - v2 + v4))/(v1*v2)),3))/6. + (Power(M_PI,2)*hvs((v1 - v4)/v2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v1 + v4)/v2))/6. - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*Power(hvs(v1 - v4),2)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v1 + v4)/v2) + (Power(M_PI,2)*hvs((v1 - v4)/v2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v1 + v4)/v2))/6. - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*Power(hvs(v1 - v4),2)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v1 + v4)/v2) + (hvs((v1 - v4)/v2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v1 + v4)/v2),3))/6. + (hvs((v1 - v4)/v2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v1 + v4)/v2),3))/6. + (Power(M_PI,2)*hvs((v2 - v4)/v1)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v2 + v4)/v1))/6. - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v2 + v4)/v1) + (Power(M_PI,2)*hvs((v2 - v4)/v1)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v2 + v4)/v1))/6. - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v2 + v4)/v1) + (hvs((v2 - v4)/v1)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v2 + v4)/v1),3))/6. + (hvs((v2 - v4)/v1)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v2 + v4)/v1),3))/6. - (Power(M_PI,2)*hvs((v1 - v4)/v2)*rlog(Abs(v1)))/6. + 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*Power(hvs(v1 - v4),2)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*rlog(Abs(v1)) + (Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)))/6. - (Power(M_PI,2)*Power(hvs(-v1),2)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)))/2. + Power(M_PI,2)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)) - (Power(M_PI,2)*hvs(-1 + v1/v4)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)))/2. - 2*Power(M_PI,2)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)) + 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)) - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)) + (Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)))/6. - (Power(M_PI,2)*Power(hvs(-v1),2)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)))/2. + Power(M_PI,2)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)) - (Power(M_PI,2)*hvs(-1 + v1/v4)*Power(hvs(-v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)))/2. - 2*Power(M_PI,2)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)) + 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)) - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1)) - hvs((v1 - v4)/v2)*rLi(2,-(v2/((1 - v1/v4 - v2/v4)*v4)))*rlog(Abs(v1)) + hvs((-v1 + v4)/v2)*rLi(2,-(((1 - v1/v4 - v2/v4)*v4)/v2))*rlog(Abs(v1)) - (hvs((v1 - v4)/v2)*Power(rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2)),2)*rlog(Abs(v1)))/2. + (hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),3))/6. + (hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),3))/6. - (Power(M_PI,2)*hvs((v2 - v4)/v1)*rlog(Abs(v2)))/6. + 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*rlog(Abs(v2)) + (Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)))/6. - (Power(M_PI,2)*Power(hvs(-v2),2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)))/2. + Power(M_PI,2)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)) - (Power(M_PI,2)*hvs(-1 + v2/v4)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)))/2. - 2*Power(M_PI,2)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)) + 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)) - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)) + (Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)))/6. - (Power(M_PI,2)*Power(hvs(-v2),2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)))/2. + Power(M_PI,2)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)) - (Power(M_PI,2)*hvs(-1 + v2/v4)*Power(hvs(-v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)))/2. - 2*Power(M_PI,2)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)) + 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)) - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2)) - hvs((v2 - v4)/v1)*rLi(2,-(v1/((1 - v1/v4 - v2/v4)*v4)))*rlog(Abs(v2)) + hvs((-v2 + v4)/v1)*rLi(2,-(((1 - v1/v4 - v2/v4)*v4)/v1))*rlog(Abs(v2)) - (hvs((v2 - v4)/v1)*Power(rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1)),2)*rlog(Abs(v2)))/2. + (hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),3))/6. + (hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),3))/6. + (Power(M_PI,2)*hvs((v1 - v4)/v2)*rlog(Abs(v4)))/6. + (Power(M_PI,2)*hvs((v2 - v4)/v1)*rlog(Abs(v4)))/6. - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*Power(hvs(v1 - v4),2)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*rlog(Abs(v4)) - 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*rlog(Abs(v4)) - (Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/6. + (Power(M_PI,2)*Power(hvs(-v1),2)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/2. - (Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/6. + (Power(M_PI,2)*Power(hvs(-v2),2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/2. - Power(M_PI,2)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) - Power(M_PI,2)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) + (Power(M_PI,2)*hvs(-1 + v1/v4)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/2. + (Power(M_PI,2)*hvs(-1 + v2/v4)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/2. + 2*Power(M_PI,2)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) + 2*Power(M_PI,2)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) - 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) - 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) + 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) + 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) - (Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/6. + (Power(M_PI,2)*Power(hvs(-v1),2)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/2. - (Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/6. + (Power(M_PI,2)*Power(hvs(-v2),2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/2. - Power(M_PI,2)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) - Power(M_PI,2)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) + (Power(M_PI,2)*hvs(-1 + v1/v4)*Power(hvs(-v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/2. + (Power(M_PI,2)*hvs(-1 + v2/v4)*Power(hvs(-v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)))/2. + 2*Power(M_PI,2)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) + 2*Power(M_PI,2)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) - 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) - 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) + 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) + 2*Power(M_PI,2)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4)) + hvs((v2 - v4)/v1)*rLi(2,-(v1/((1 - v1/v4 - v2/v4)*v4)))*rlog(Abs(v4)) + hvs((v1 - v4)/v2)*rLi(2,-(v2/((1 - v1/v4 - v2/v4)*v4)))*rlog(Abs(v4)) - hvs((-v2 + v4)/v1)*rLi(2,-(((1 - v1/v4 - v2/v4)*v4)/v1))*rlog(Abs(v4)) - hvs((-v1 + v4)/v2)*rLi(2,-(((1 - v1/v4 - v2/v4)*v4)/v2))*rlog(Abs(v4)) + (hvs((v2 - v4)/v1)*Power(rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1)),2)*rlog(Abs(v4)))/2. + (hvs((v1 - v4)/v2)*Power(rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2)),2)*rlog(Abs(v4)))/2. - (hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2)*rlog(Abs(v4)))/2. - (hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2)*rlog(Abs(v4)))/2. - (hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2)*rlog(Abs(v4)))/2. - (hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2)*rlog(Abs(v4)))/2. + (hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*Power(rlog(Abs(v4)),2))/2. + (hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*Power(rlog(Abs(v4)),2))/2. + (hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*Power(rlog(Abs(v4)),2))/2. + (hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*Power(rlog(Abs(v4)),2))/2. - (hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),3))/6. - (hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),3))/6. - (hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),3))/6. - (hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),3))/6. + Power(M_PI,2)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*sign(v1) - Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*sign(v1) + 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*sign(v1) + Power(M_PI,2)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*sign(v1) - Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*sign(v1) + 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*sign(v1) - Power(M_PI,2)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v1) + Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v1) - 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v1) - Power(M_PI,2)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v1) + Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v1) - 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v1) - (Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*Power(sign(v1),2))/2. - (Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*Power(sign(v1),2))/2. + (Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*Power(sign(v1),2))/2. + (Power(M_PI,2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*Power(sign(v1),2))/2. + Power(M_PI,2)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*sign(v2) - Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*sign(v2) + 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*sign(v2) + Power(M_PI,2)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*sign(v2) - Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*sign(v2) + 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*sign(v2) - Power(M_PI,2)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v2) + Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v2) - 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v2) - Power(M_PI,2)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v2) + Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v2) - 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*sign(v2) - (Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*Power(sign(v2),2))/2. - (Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*Power(sign(v2),2))/2. + (Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*Power(sign(v2),2))/2. + (Power(M_PI,2)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v4))*Power(sign(v2),2))/2. - Power(M_PI,2)*hvs(-v2)*hvs((v2 - v4)/v1)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1))*sign(v4) + Power(M_PI,2)*hvs((v2 - v4)/v1)*hvs(-v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1))*sign(v4) - Power(M_PI,2)*hvs(-v1)*hvs((v1 - v4)/v2)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2))*sign(v4) + Power(M_PI,2)*hvs((v1 - v4)/v2)*hvs(-v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2))*sign(v4) + 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v1 + v4)/v2)*sign(v4) + 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v1 + v4)/v2)*sign(v4) + 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v2 + v4)/v1)*sign(v4) + 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v2 + v4)/v1)*sign(v4) - 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(Abs(v1))*sign(v4) - 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(Abs(v2))*sign(v4) + 2*Power(M_PI,2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(Abs(v4))*sign(v4) + 2*Power(M_PI,2)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(Abs(v4))*sign(v4) - (Power(M_PI,2)*hvs((v1 - v4)/v2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v1 + v4)/v2)*Power(sign(v4),2))/2. - (Power(M_PI,2)*hvs((v1 - v4)/v2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v1 + v4)/v2)*Power(sign(v4),2))/2. - (Power(M_PI,2)*hvs((v2 - v4)/v1)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v2 + v4)/v1)*Power(sign(v4),2))/2. - (Power(M_PI,2)*hvs((v2 - v4)/v1)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(1 - (-v2 + v4)/v1)*Power(sign(v4),2))/2. + (Power(M_PI,2)*hvs((v1 - v4)/v2)*rlog(Abs(v1))*Power(sign(v4),2))/2. + (Power(M_PI,2)*hvs((v2 - v4)/v1)*rlog(Abs(v2))*Power(sign(v4),2))/2. - (Power(M_PI,2)*hvs((v1 - v4)/v2)*rlog(Abs(v4))*Power(sign(v4),2))/2. - (Power(M_PI,2)*hvs((v2 - v4)/v1)*rlog(Abs(v4))*Power(sign(v4),2))/2. ;
    }else{
         result21 =  (Power(M_PI,3)*hvs(-v1)*hvs((v1 - v4)/v2))/6. + (Power(M_PI,3)*hvs(-v2)*hvs((v2 - v4)/v1))/6. - (Power(M_PI,3)*hvs((v1 - v4)/v2)*hvs(-v4))/6. - (Power(M_PI,3)*hvs((v2 - v4)/v1)*hvs(-v4))/6. - 2*Power(M_PI,3)*hvs(-v1)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*Power(hvs(v1 - v4),2)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2) - 2*Power(M_PI,3)*Power(hvs(v1),2)*hvs(-v2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2) + 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*Power(hvs(v1 - v4),2)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*hvs(-v4)*Power(hvs(v4),2) + 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),2)*hvs(-v4)*Power(hvs(v4),2) - (Power(M_PI,3)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/6. + (Power(M_PI,3)*Power(hvs(-v1),3)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/6. + (Power(M_PI,3)*Power(hvs(-v2),3)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/6. + (Power(M_PI,3)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. - Power(M_PI,3)*hvs(-(v1*v2))*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) + (Power(M_PI,3)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*Power(hvs(-v1),2)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/2. + (Power(M_PI,3)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*Power(hvs(-v2),2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/2. + 2*Power(M_PI,3)*Power(hvs(-(v1*v2)),2)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) + (Power(M_PI,3)*hvs(-v1)*hvs(-1 + v1/v4)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/2. + (Power(M_PI,3)*hvs(-v2)*hvs(-1 + v2/v4)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/2. - (4*Power(M_PI,3)*Power(hvs(-(v1*v2)),3)*Power(hvs(-v4),3)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. - (Power(M_PI,3)*hvs(-1 + v1/v4)*Power(hvs(-v4),3)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*hvs(-1 + v2/v4)*Power(hvs(-v4),3)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + Power(M_PI,3)*Power(hvs(-v1),2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) - (Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + Power(M_PI,3)*hvs(v1)*Power(hvs(-v2),2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) - (Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. - (Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. - 2*Power(M_PI,3)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) - 2*Power(M_PI,3)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) + Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*Power(hvs(-v4),2)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) + Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*Power(hvs(-v4),2)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) + 2*Power(M_PI,3)*hvs(-v1)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) + 2*Power(M_PI,3)*Power(hvs(v1),2)*hvs(-v2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*hvs(-v4)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*hvs(-v4)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)) + (4*Power(M_PI,3)*Power(hvs(v1),3)*Power(hvs(v1 - v2),3)*Power(hvs(v2),3)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),3)*Power(hvs(v2 - v4),3)*Power(hvs(v1 + v2 - v4),3)*Power(hvs(v4),3)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + (4*Power(M_PI,3)*Power(hvs(v1),3)*Power(hvs(v2),3)*Power(hvs(-v1 + v2),3)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),3)*Power(hvs(v2 - v4),3)*Power(hvs(v1 + v2 - v4),3)*Power(hvs(v4),3)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + (4*Power(M_PI,3)*Power(hvs(v1),3)*Power(hvs(v1 - v2),3)*Power(hvs(v2),3)*Power(hvs(v1 - v4),3)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),3)*Power(hvs(v1 + v2 - v4),3)*Power(hvs(v4),3)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + (4*Power(M_PI,3)*Power(hvs(v1),3)*Power(hvs(v2),3)*Power(hvs(-v1 + v2),3)*Power(hvs(v1 - v4),3)*Power(hvs(v2 - v4),3)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),3)*Power(hvs(v4),3)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2)))/3. - (Power(M_PI,3)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/6. + (Power(M_PI,3)*Power(hvs(-v1),3)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/6. + (Power(M_PI,3)*Power(hvs(-v2),3)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) + (Power(M_PI,3)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*Power(hvs(-v1),2)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/2. + (Power(M_PI,3)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*Power(hvs(-v2),2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/2. + (Power(M_PI,3)*hvs(-v1)*hvs(-1 + v1/v4)*Power(hvs(-v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/2. + (Power(M_PI,3)*hvs(-v2)*hvs(-1 + v2/v4)*Power(hvs(-v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/2. - (Power(M_PI,3)*hvs(-1 + v1/v4)*Power(hvs(-v4),3)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*hvs(-1 + v2/v4)*Power(hvs(-v4),3)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/6. - (Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + Power(M_PI,3)*Power(hvs(-v1),2)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) - (Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + Power(M_PI,3)*hvs(v1)*Power(hvs(-v2),2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) - (Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/3. - (Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/3. - 2*Power(M_PI,3)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) - 2*Power(M_PI,3)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) + Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*Power(hvs(-v4),2)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) + Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*Power(hvs(-v4),2)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) + 2*Power(M_PI,3)*hvs(-v1)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) + 2*Power(M_PI,3)*Power(hvs(v1),2)*hvs(-v2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*hvs(-v4)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*hvs(-v4)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)) + (4*Power(M_PI,3)*Power(hvs(v1),3)*Power(hvs(v1 - v2),3)*Power(hvs(v2),3)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),3)*Power(hvs(v2 - v4),3)*Power(hvs(v1 + v2 - v4),3)*Power(hvs(v4),3)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + (4*Power(M_PI,3)*Power(hvs(v1),3)*Power(hvs(v2),3)*Power(hvs(-v1 + v2),3)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),3)*Power(hvs(v2 - v4),3)*Power(hvs(v1 + v2 - v4),3)*Power(hvs(v4),3)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + (4*Power(M_PI,3)*Power(hvs(v1),3)*Power(hvs(v1 - v2),3)*Power(hvs(v2),3)*Power(hvs(v1 - v4),3)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),3)*Power(hvs(v1 + v2 - v4),3)*Power(hvs(v4),3)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + (4*Power(M_PI,3)*Power(hvs(v1),3)*Power(hvs(v2),3)*Power(hvs(-v1 + v2),3)*Power(hvs(v1 - v4),3)*Power(hvs(v2 - v4),3)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),3)*Power(hvs(v4),3)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2)))/3. + M_PI*hvs(-v2)*hvs((v2 - v4)/v1)*rLi(2,-(v1/((1 - v1/v4 - v2/v4)*v4))) - M_PI*hvs((v2 - v4)/v1)*hvs(-v4)*rLi(2,-(v1/((1 - v1/v4 - v2/v4)*v4))) + M_PI*hvs(-v1)*hvs((v1 - v4)/v2)*rLi(2,-(v2/((1 - v1/v4 - v2/v4)*v4))) - M_PI*hvs((v1 - v4)/v2)*hvs(-v4)*rLi(2,-(v2/((1 - v1/v4 - v2/v4)*v4))) - M_PI*hvs(-v2)*hvs((-v2 + v4)/v1)*rLi(2,-(((1 - v1/v4 - v2/v4)*v4)/v1)) + M_PI*hvs(-v4)*hvs((-v2 + v4)/v1)*rLi(2,-(((1 - v1/v4 - v2/v4)*v4)/v1)) - M_PI*hvs(-v1)*hvs((-v1 + v4)/v2)*rLi(2,-(((1 - v1/v4 - v2/v4)*v4)/v2)) + M_PI*hvs(-v4)*hvs((-v1 + v4)/v2)*rLi(2,-(((1 - v1/v4 - v2/v4)*v4)/v2)) + (M_PI*hvs(-v2)*hvs((v2 - v4)/v1)*Power(rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1)),2))/2. - (M_PI*hvs((v2 - v4)/v1)*hvs(-v4)*Power(rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1)),2))/2. + (M_PI*hvs(-v1)*hvs((v1 - v4)/v2)*Power(rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2)),2))/2. - (M_PI*hvs((v1 - v4)/v2)*hvs(-v4)*Power(rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2)),2))/2. - (M_PI*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(-((v4*(-v1 - v2 + v4))/(v1*v2))),2))/2. + M_PI*hvs(-(v1*v2))*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(-((v4*(-v1 - v2 + v4))/(v1*v2))),2) + M_PI*hvs(v1)*hvs(v2)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog((v4*(-v1 - v2 + v4))/(v1*v2)),2) - M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v1 + v4)/v2),2) - M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v1 + v4)/v2),2) - M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v2 + v4)/v1),2) - M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v2 + v4)/v1),2) + 2*M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2))*rlog(Abs(v1)) - (M_PI*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2))/2. + (M_PI*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2))/2. - M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2) - (M_PI*hvs(-v1)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2))/2. + (M_PI*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2))/2. - M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2) + 2*M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1))*rlog(Abs(v2)) - (M_PI*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2))/2. + (M_PI*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2))/2. - M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2) - (M_PI*hvs(-v2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2))/2. + (M_PI*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2))/2. - M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2) - 2*M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1))*rlog(Abs(v4)) - 2*M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2))*rlog(Abs(v4)) + M_PI*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*rlog(Abs(v4)) - M_PI*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*rlog(Abs(v4)) + 2*M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*rlog(Abs(v4)) + M_PI*hvs(-v1)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*rlog(Abs(v4)) - M_PI*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*rlog(Abs(v4)) + 2*M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*rlog(Abs(v4)) + M_PI*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*rlog(Abs(v4)) - M_PI*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*rlog(Abs(v4)) + 2*M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*rlog(Abs(v4)) + M_PI*hvs(-v2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*rlog(Abs(v4)) - M_PI*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*rlog(Abs(v4)) + 2*M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*rlog(Abs(v4)) - (M_PI*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2))/2. - (M_PI*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2))/2. + (M_PI*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2))/2. + (M_PI*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2))/2. - M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2) - M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2) - (M_PI*hvs(-v1)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2))/2. - (M_PI*hvs(-v2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2))/2. + (M_PI*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2))/2. + (M_PI*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2))/2. - M_PI*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2) - M_PI*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2) + (Power(M_PI,3)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1))/6. - (Power(M_PI,3)*Power(hvs(-v2),2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1))/2. + Power(M_PI,3)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1) - (Power(M_PI,3)*hvs(-1 + v2/v4)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1))/2. - 2*Power(M_PI,3)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1) + 2*Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1) + (Power(M_PI,3)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1))/6. - (Power(M_PI,3)*Power(hvs(-v2),2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1))/2. + Power(M_PI,3)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1) - (Power(M_PI,3)*hvs(-1 + v2/v4)*Power(hvs(-v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1))/2. - 2*Power(M_PI,3)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1) + 2*Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*hvs(-1 + v2/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v1) + (M_PI*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2)*sign(v1))/2. + (M_PI*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v2)),2)*sign(v1))/2. - M_PI*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*rlog(Abs(v4))*sign(v1) - M_PI*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v2))*rlog(Abs(v4))*sign(v1) + (M_PI*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2)*sign(v1))/2. + (M_PI*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2)*sign(v1))/2. + (Power(M_PI,3)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v1),2))/2. - (Power(M_PI,3)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v1),2))/2. + Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v1),2) + (Power(M_PI,3)*hvs(-v2)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v1),2))/2. - (Power(M_PI,3)*hvs(-1 + v2/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v1),2))/2. + Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(-1 + v2/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v1),2) - (Power(M_PI,3)*hvs(-1 + v2/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v1),3))/6. - (Power(M_PI,3)*hvs(-1 + v2/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v1),3))/6. + (Power(M_PI,3)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2))/6. - (Power(M_PI,3)*Power(hvs(-v1),2)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2))/2. + Power(M_PI,3)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2) - (Power(M_PI,3)*hvs(-1 + v1/v4)*Power(hvs(-v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2))/2. - 2*Power(M_PI,3)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2) + 2*Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2) + (Power(M_PI,3)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2))/6. - (Power(M_PI,3)*Power(hvs(-v1),2)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2))/2. + Power(M_PI,3)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2) - (Power(M_PI,3)*hvs(-1 + v1/v4)*Power(hvs(-v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2))/2. - 2*Power(M_PI,3)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2) + 2*Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*hvs(-1 + v1/v4)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v2) + (M_PI*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2)*sign(v2))/2. + (M_PI*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v1)),2)*sign(v2))/2. - M_PI*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*rlog(Abs(v4))*sign(v2) - M_PI*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*rlog(Abs(v1))*rlog(Abs(v4))*sign(v2) + (M_PI*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2)*sign(v2))/2. + (M_PI*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(Abs(v4)),2)*sign(v2))/2. + (Power(M_PI,3)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v2),2))/2. - (Power(M_PI,3)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v2),2))/2. + Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v2),2) + (Power(M_PI,3)*hvs(-v1)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v2),2))/2. - (Power(M_PI,3)*hvs(-1 + v1/v4)*hvs(-v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v2),2))/2. + Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(-1 + v1/v4)*hvs(v1 - v4)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v2),2) - (Power(M_PI,3)*hvs(-1 + v1/v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v2),3))/6. - (Power(M_PI,3)*hvs(-1 + v1/v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v2),3))/6. + 2*Power(M_PI,3)*hvs(-v1)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*sign(v4) + 2*Power(M_PI,3)*hvs(v1)*hvs(-v2)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*sign(v4) - 2*Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*sign(v4) - 2*Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(-v4)*hvs(v4)*sign(v4) + (Power(M_PI,3)*hvs((v1 - v4)/v2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v4))/6. + (Power(M_PI,3)*hvs((v2 - v4)/v1)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v4))/6. - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*Power(hvs(v1 - v4),2)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v4) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v4) + (Power(M_PI,3)*hvs((v1 - v4)/v2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v4))/6. + (Power(M_PI,3)*hvs((v2 - v4)/v1)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v4))/6. - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v1 - v2),2)*Power(hvs(v2),2)*Power(hvs(v1 - v4),2)*hvs((v1 - v4)/v2)*Power(hvs(v2 - v4),2)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v4) - 2*Power(M_PI,3)*Power(hvs(v1),2)*Power(hvs(v2),2)*Power(hvs(-v1 + v2),2)*Power(hvs(v1 - v4),2)*Power(hvs(v2 - v4),2)*hvs((v2 - v4)/v1)*Power(hvs(v1 + v2 - v4),2)*Power(hvs(v4),2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*sign(v4) + (M_PI*hvs((v1 - v4)/v2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v1 + v4)/v2),2)*sign(v4))/2. + (M_PI*hvs((v1 - v4)/v2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v1 + v4)/v2),2)*sign(v4))/2. + (M_PI*hvs((v2 - v4)/v1)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v2 + v4)/v1),2)*sign(v4))/2. + (M_PI*hvs((v2 - v4)/v1)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(rlog(1 - (-v2 + v4)/v1),2)*sign(v4))/2. - M_PI*hvs((v1 - v4)/v2)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2))*rlog(Abs(v1))*sign(v4) - M_PI*hvs((v2 - v4)/v1)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1))*rlog(Abs(v2))*sign(v4) + M_PI*hvs((v2 - v4)/v1)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v1))*rlog(Abs(v4))*sign(v4) + M_PI*hvs((v1 - v4)/v2)*rlog(-(((1 - v1/v4 - v2/v4)*v4)/v2))*rlog(Abs(v4))*sign(v4) - (Power(M_PI,3)*hvs(-v1)*hvs((v1 - v4)/v2)*Power(sign(v4),2))/2. - (Power(M_PI,3)*hvs(-v2)*hvs((v2 - v4)/v1)*Power(sign(v4),2))/2. + (Power(M_PI,3)*hvs((v1 - v4)/v2)*hvs(-v4)*Power(sign(v4),2))/2. + (Power(M_PI,3)*hvs((v2 - v4)/v1)*hvs(-v4)*Power(sign(v4),2))/2. + Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v4),2) + Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v4),2) + Power(M_PI,3)*hvs(v1)*hvs(v1 - v2)*hvs(v2)*hvs(v1 - v4)*hvs((v1 - v4)/v2)*hvs(v2 - v4)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v4),2) + Power(M_PI,3)*hvs(v1)*hvs(v2)*hvs(-v1 + v2)*hvs(v1 - v4)*hvs(v2 - v4)*hvs((v2 - v4)/v1)*hvs(v1 + v2 - v4)*hvs(v4)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v4),2) - (Power(M_PI,3)*hvs((v1 - v4)/v2)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v4),3))/6. - (Power(M_PI,3)*hvs((v2 - v4)/v1)*hvs(-1 - (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v4),3))/6. - (Power(M_PI,3)*hvs((v1 - v4)/v2)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v4),3))/6. - (Power(M_PI,3)*hvs((v2 - v4)/v1)*hvs(1 + (v4*(-v1 - v2 + v4))/(v1*v2))*Power(sign(v4),3))/6. ;
    }
 return result21;
}  
